# Page Not Found

`/docs/rest-api/environment-variables|REST` does not exist. Similar pages:

- [Create one or more environment variables](/docs/rest-api/projects/create-one-or-more-environment-variables.md): POST /v10/projects/{idOrName}/env Create one or more environment variables for a project by passing its key, value, type and target and by specifying
- [Edit an environment variable](/docs/rest-api/projects/edit-an-environment-variable.md): PATCH /v9/projects/{idOrName}/env/{id} Edit a specific environment variable for a given project by passing the environment variable identifier and
- [Retrieve the environment variables of a project by id or name](/docs/rest-api/projects/retrieve-the-environment-variables-of-a-project-by-id-or-name.md): GET /v10/projects/{idOrName}/env Retrieve the environment variables for a given project by passing either the project id or name in the URL.
- [Using environment variables in routes](#usingenvironmentvariablesinroutes)[](/docs/project-configuration/vercel-json.md): You can reference environment variables in route dest values and transform args using $VAR or ${VAR} syntax. Add the variable names to the env array
- [Retrieve custom environments](/docs/rest-api/environment/retrieve-custom-environments.md): GET /v9/projects/{idOrName}/customenvironments Retrieve custom environments for the project. Must not be named 'Production' or 'Preview'.

All pages: [/llms.txt](/llms.txt)
